<div class="container">
  <div class="row">
    <div class="col-12">
      <button
        type="button"
        (click)="addButtonClickFunction()"
        data-bs-toggle="modal"
        data-bs-target="#exampleModal"
        class="btn btn-primary mb-6"
      >
        <i class="fas fa-plus"></i>Add Emergency Service
      </button>
    </div>

    <div class="col-12">
    <table  *ngIf="emergencyServiceList" datatable [dtOptions]="dtOptions"  class="table table-hover table-striped table-bordered" cellspacing="0"  >
        <thead>
          <tr class="bg-primary text-white">
            <th class="text-center">Type</th>
            <th class="text-center">Name</th>
            <th class="text-center">Address</th>
            <th class="text-center">City</th>
            <th class="text-center">Contact Number</th>
            <th class="text-center">AltContact Number</th>
            <th class="text-center">Action</th>
            <th>Status</th>
          </tr>
        </thead>
        <tbody class="bg-white text-center">
          <tr *ngFor="let row of emergencyServiceList" class="text-center">
            <td>{{ row.typeName }}</td>
            <td>{{ row.emergencyServiceName }}</td>
            <td>{{ row.emergencyServiceAddress }}</td>
            <td>{{ row.cityName }}</td>
            <td>{{ row.emergencyServiceContact }}</td>
            <td>{{ row.alternateEmergencyServiceContact }}</td>
         
            <td class="text-center">
              <div class="row">
              <div class="col">
              <button
                (click)="updateEmergencyservice(row)"
                class="btn btn-outline-info pl-3 pr-3 mx-2"
                data-bs-toggle="modal"
                data-bs-target="#exampleModal"
              >
                <i class="fas fa-pen icon-blue"></i> 
              </button>
              <button
                (click)="deleteEmergencyservice(row)"
                class="btn btn-outline-danger pl-3"
              >
                <i class="fas fa-trash icon-red"></i> 
              </button>
            </div>
          </div>
      
            </td>
            <td class="text-center">
              <div class="row">
                <div class="col">
                  <div class="form-check form-switch">
                  <input class="form-check-input" type="checkbox" (change)="changeActive(row.emergencyServiceId,$event)" role="switch" [checked]="row.activeStatus" id="flexSwitchCheckDefault">
                  </div>                    
                </div>
              </div>
           </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>

<!-- model -->
<div
  class="modal fade"
  id="exampleModal"
  tabindex="-1"
  aria-labelledby="exampleModalLabel"
  aria-hidden="true"
>
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h2
          class="modal-title text-primary"
          *ngIf="showAddTitle"
          id="exampleModalLabel"
        >
          Add Emergency Service
        </h2>
        <h2
          class="modal-title text-primary"
          *ngIf="showUpdateTitle"
          id="exampleModalLabel"
        >
          Update Emergency Service
        </h2>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
          aria-label="Close"
        ></button>
      </div>

      <div class="modal-body">
        <form [formGroup]="formValue">
          <div class="form-group">
            <label for="emergencyServiceName">Name</label>
            <input
              formControlName="emergencyServiceName"
              id="emergencyServiceName"
              class="form-control"
              placeholder="Enter type Name.."
              required
            />
            <span class="text-danger" *ngIf="formValue.controls['emergencyServiceName'].dirty && formValue.hasError('required','emergencyServiceName')">Emergency Service Name Is Required</span>
            <br />
          </div>
          
    <br>

          <div class="form-group">
            <label for="typeName">Type</label>
            <select
            formControlName="typeName"
            class="form-group form-select"
            id="typeName"
            class="form-control"
            required
            >
            <span class="text-danger" *ngIf="formValue.controls['typeName'].dirty && formValue.hasError('required','typeName')">Type Name Is Required</span>
              <option value="null" disabled selected>Choose Type</option>
              <option *ngFor="let t of emergencyType" [ngValue]="t.emergencyTypeId">
                {{ t.emergencyTypeName }}
              </option>
            </select>
          </div>

  <br />
          <div class="form-group">
            <label for="emergencyServiceAddress">Address</label>
            <input
              id="emergencyServiceAddress"
              formControlName="emergencyServiceAddress"
              type="text"
              class="form-control"
              placeholder="Enter Address.."
              required
            />
            <span class="text-danger" *ngIf="formValue.controls['emergencyServiceAddress'].dirty && formValue.hasError('required','emergencyServiceAddress')">Emergency Service Address Required</span>
          </div>
 <br />

          <div class="form-group">
            <label for="city">City</label>
            <select
              class="form-group form-select"
              formControlName="cityName"
              required
            >
            <span class="text-danger" *ngIf="formValue.controls['cityName'].dirty && formValue.hasError('required','cityName')">City Name Is Required</span>
              <option value="null" disabled selected>Choose City</option>
              <option *ngFor="let c of city" [ngValue]="c.cityId">
                {{ c.cityName }}
              </option>
            </select>
          </div>

 <br />

          <div class="form-group">
            <label for="emergencyServiceContact">Contact Number</label>
            <input
              id="emergencyServiceContact"
              type="number"
              formControlName="emergencyServiceContact"
              class="form-control"
              placeholder="Enter contact Number.."
              required
            />
           <span class="text-danger" *ngIf="formValue.controls['emergencyServiceContact'].dirty && formValue.hasError('required','emergencyServiceContact')">Emergency Service Contact Required </span>
          </div>
  <br />
         
          <div class="form-group">
            <label for="alternateEmergencyServiceContact"
              >AltContact Number</label
            >
            <input
              id="alternateEmergencyServiceContact"
              type="number" 
              formControlName="alternateEmergencyServiceContact"
              class="form-control"
              placeholder="Enter contact Number.."
              required
            />
            <span class="text-danger" *ngIf="formValue.controls['alternateEmergencyServiceContact'].dirty && formValue.hasError('required','alternateEmergencyServiceContact')">Alternate Emergency Service Contact Required </span>
          </div>
  <br />
          
        

          <button
            type="button"
            id="cancel"
            class="btn btn-secondary"
            data-bs-dismiss="modal"
          >
            Cancel
          </button>
          <button
            type="submit"
            [disabled]="!formValue.valid"
            *ngIf="showAdd"
            (click)="postEmergencyserviceDetails()"
            class="btn btn-primary mx-2"
          >
            save
          </button>
          <button
            type="button"
            [disabled]="!formValue.valid"
            *ngIf="showUpdate"
            (click)="updateEmergencyserviceDetails()"
            class="btn btn-primary mx-2"
            data-bs-dismiss="modal"
          >
            Update
          </button>
        </form>
      </div>
    </div>
  </div>
</div>
